Get Deposit Address

GEThttps://bank.dattaremit.com/api/deposit_addresses/{deposit_address_guid}

Requires a bank-scoped key.

Retrieves a deposit address.

Required scope: deposit_addresses:read

Path Params

deposit_address_guidstringrequired

Identifier for the deposit address.

Responses

200

deposit address found

401

Unauthorized - Authentication failed

403

Invalid scope

404

deposit_address not found

Request

curl https://api.dattaremit.com/api/deposit_addresses/{deposit_address_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

deposit address found

{
  "guid": "string",
  "name": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "account_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "state": "string",
  "address": "string",
  "format": "string",
  "tag": "string",
  "labels": [
    "string"
  ]
}